﻿
@{
    ViewBag.Title = "LogIn";
}

<div id="btnlogin">
    <h3>Sign in to Application Dashboard</h3>
    <input type="button" value="Login Using Microsoft Office365 Accuont" onclick="LoginUser()" />
</div>

<script>
    function LoginUser() {
        var host = window.location.protocol + "//" + window.location.host
        $.ajax({
            type: "GET",
            url: host + '/api/connect/office/account',
            //data: { id: id },
            dataType: "json",
            success: function (res) {
                GetToken(res)
            },
            error: function (error) {
                alert("Can't log in to O365 Account.", error);
            }
        });
    }

    function GetToken(Url)
    {
        var url = Url;
        window.location.href = url;
        alert("Login Successfully.");
        @*var url = '@Url.Action("UserBasicDetails", "Home")';
            window.location.href = url;*@
    }

    function GetUserDetails() {
        var host = window.location.protocol + "//" + window.location.host
        $.ajax({
            type: "GET",
            url: host + '/api/user/details',
            //data: { id: id },
            //dataType: "xml",
            success: function (res) {
                $("#uname").val(res.DisplayName);
            },
            error: function (error) {
                alert("Userdetails can't be displayed", error);
            }
        });
    }

    function myloginbutton() {
        var x = document.getElementById("btnlogin");
        if (x.style.display === "none") {
            x.style.display = "block";
        } else {
            x.style.display = "none";
        }
    }

</script>
